/*
 *  MODULE  : error.h
 *  used for error reporting
{*  last modification:  05.03.91  17:39   }
 *  uli 05.03.91: ERRMESS moved to defs.h
*/
 
typedef struct
  { short int   line;
    byte        col;
  } postype;

global  shortint errcount ;  /* number of errors reported */
global  shortint mescount ;  /* number of messages reported */


			     /* These constants must conform with the corr. */
			     /* Pascal constants of the error lister */
#define  INFOLIMIT   10      /* lowest error number of  info messages */
#define WARNGLIMIT  100      /* lowest error number of warng messages */
#define ERRORLIMIT 1000      /* lowest error number of error messages */
#define CHECKLIMIT 9000      /* lowest error number of check messages */
#define FATALLIMIT 30000     /* lowest error number of fatal messages */
 
#ifdef LINT_ARGS
global void errput     (short int, postype, char*) ;
global void checkerror (postype) ;
global void memerror   (postype) ;
global void dskerror   (postype, char*) ;
#else
global void errput     (/* errnr, pos, addstr */) ;
global void checkerror (/* pos = line, col */) ;
global void memerror   (/* pos = line, col */) ;
global void dskerror   (/* pos, addstr */) ;
#endif
 

/*
 *  former MODULE  : print.h
 *  used for output of error messages.
 *  last modification: 14.11.89
*/


global FILE * lstfile ;

#ifdef LINT_ARGS
global void      incspaces (void);
global void      decspaces (void);
global void      print     (char * string);
global void      printint  (longint val);
global void      printchar (char    ch);
global void      printline (void);
global shortint  checkline (void);  /* returns the length of the current line */
#else
global void      incspaces (/* */);
global void      decspaces (/* */);
global void      print     (/* str */);
global void      printint  (/* int */);
global void      printchar (/* ch  */);
global void      printline (/* */);
global shortint  checkline (/* */); /* returns the length of the current line */
#endif /*LINT_ARGS*/
