/*
 *  MODULE  :   genstm.h
 *              generate  C-code
{*  last modification:  09.12.91  17:15   }

 * uli 15.04.91 : genstring is global now.
 * uli 16.04.91 : mrgfile added.
*/

global FILE * dclfile;   /* C header file */
global FILE * mrgfile;   /* pascal source file for merge */
global shortint  errline;  /* current value of e_line is errline */

#ifdef LINT_ARGS

  global  boolean  decl        (binptr, binptr);
  global  void     gende_spec  (binptr);
  global  void     gendecl     (binptr, binptr);
  global  void     genstm      (binptr);
  global  void     genexpr     (binptr);
  global  void     geneline    (binptr, symctype, boolean);
  global  boolean  gentyp      (binptr);

  global  void     inctabs     (void);
  global  void     dectabs     (void);
  global  void     mergfin     (void);        /* copies the rest of
			  the source to the code and closes the sourcefile */
  global  void     mergtill    (binptr);
  global  void     gen         (char *  str);
  global  void     genstring   (char *);
  global  void     genint      (long);
  global  void     genline     (void);
  global  void     genrange    (binptr  p  );
  global  void     denCid      (binptr id);
  global  void     genCid      (binptr id);

#else

  global   boolean decl        ( );
  global   void    gende_spec  ( );
  global   void    gendecl     ( );
  global   void    genstm      ( );
  global   void    genexpr     ( );
  global   void    geneline    ( );
  global   boolean gentyp      ( );
  global   void    mergfin     ( );
  global   void    mergtill    ( );
  global   void    inctabs     ( );
  global   void    dectabs     ( );
  global   void    gen         ( );
  global   void    genstring   ( );
  global   void    genint      ( );
  global   void    genline     ( );
  global   void    genrange    ( );
  global   void    denCid      ( );
  global   void    genCid      ( );

#endif
