{
Vollstaendig: JA
Syntaktisch : JA
Ausgetestet : NEIN
Bemerkungen :

  !!!  Um das Modul fuer den XSC-C-Precompiler zu verwenden, muessen  !!!
  !!!  alle Kommentare
  !!!                ($on)     nach   $on
  !!!                ($off)    nach   $off
  !!!                ($XSC-C   nach   ($XSC-C)
  !!!                XSC-C$)   nach   (XSC-C$)
  !!!  geaendert werden. Die andere Richtung gilt sinngemaess.
  !!!  Dabei stehen hierin die runden Klammern fuer die eigentlichen Kommentarklammern
  !!!  ( welche innerhalb dieses Kommentares nicht verwendet werden koennen ).
  !!!  Achtung: Keine geschachtelten Kommentare erzeugen !!!

11.06.90  WRITE INTERVAL haengt vom REAL-Zahlenformat ab !!!         -R.L.-

27.06.90  Die zusaetzlichen Standardfunktionen sind  noch  n i c h t
          getestet. Auch die zugrundeliegenden Longrealfunktionen
          noch  n i c h t !!!                                        -R.L.-

10.09.90  Aenderungen an Longreal-Rundungsroutinen in Standardfunktionen.
                                                                     -R.L.-
05.02.92  External-Namen geaendert fuer log2 : i_log2 -> t_ilg2
          ( neue ten byte functions )   log10: i_lg10 -> t_il10
                                        exp2 : i_exp2 -> t_iex2
                                        exp10: i_ep10 -> t_ie10      -R.L.-
28.10.93  i_loga prototype geaendert =b=
}



MODULE i_ari;                   {  Intervall-Arithmetik,  Stand :   22.04.91 }

$off

{ nur ATARI System : }

  USE L_ARI;


$on


{---------------------------------------------------------------------------}
{ 0. Vereinbarungen                                                         }
{---------------------------------------------------------------------------}



{ wird in READ( interval ) verwendet :  }


{ Punkt-Intervall einlesen : }
{$XSC-C}
procedure read_pintval( var f : text; var x : interval );  external f_rdv1 ;
{XSC-C$}

$off

PROCEDURE _READ_REAL( var f : text; var vorz : integer;
                                    var mant : string;
                                    var expo : integer  );  EXTERNAL;



{ wird in READ( interval ) verwendet :  }

FUNCTION _RVALVMER(    vorz : integer;
                   var mant : string;
                       expo,round : integer  ): REAL ;      EXTERNAL;



{ allgemeine Fehler-Abbruch Routine : }

PROCEDURE _MATH_ERROR ( ERRORNR : INTEGER );                EXTERNAL;
PROCEDURE _i_MATH_ERROR ( ERRORNR : INTEGER );
BEGIN
   _MATH_ERROR( ERRORNR );
END;

$on

{******************************************************************}
{                                                                  }
{      PASCAL-SC ARITHMETIC ERRORHANDLER VERSION 1.0               }
{                                                                  }
{******************************************************************}

{$XSC-C}
procedure traceback (var t:text) ; external f_back ;
const   stderr = 2 ; { standard error }
procedure rewrite (var t : text ; nr : integer) ; external f_rwrn ;
procedure exit    (retcode : integer)           ; external a_exit ;

global  { _i_math_error must be global, if i_ari is a library }
procedure _i_math_error (errnr : integer) ;
  var message : text;
  begin
    rewrite(message,stderr);
    case  errnr  of
       93: writeln (message,'Illegal notation of interval in read interval') ;
       94: writeln (message,'Upper bounds less than lower bound in interval') ;
       95: writeln (message,'Intersection of disjoint intervals') ;
       96: writeln (message,'Division by an interval containing zero') ;
     else: writeln (message,'Unknown error') ;
    end ;
    traceback (message) ;
    exit(-1);
  end { _i_math_error } ;
{XSC-C$}


$off


{ fuer zusaetzlich Standardfunktionen : }

FUNCTION L_COT   ( X : REAL ) : LONGREAL;                   EXTERNAL;
FUNCTION L_TANH  ( X : REAL ) : LONGREAL;                   EXTERNAL;
FUNCTION L_COTH  ( X : REAL ) : LONGREAL;                   EXTERNAL;
FUNCTION L_ARCSIN( X : REAL ) : LONGREAL;                   EXTERNAL;
FUNCTION L_ARCCOS( X : REAL ) : LONGREAL;                   EXTERNAL;
FUNCTION L_ARCCOT( X : REAL ) : LONGREAL;                   EXTERNAL;
FUNCTION L_ARSINH( X : REAL ) : LONGREAL;                   EXTERNAL;
FUNCTION L_ARCOSH( X : REAL ) : LONGREAL;                   EXTERNAL;
FUNCTION L_ARTANH( X : REAL ) : LONGREAL;                   EXTERNAL;
FUNCTION L_ARCOTH( X : REAL ) : LONGREAL;                   EXTERNAL;


VAR eins,log10_2  : LONGREAL;
    pi_up1,pi_up2 : REAL;


$on



{---------------------------------------------------------------------------}
{ 1. Transferfunktionen                                                     }
{---------------------------------------------------------------------------}
{    1.0 Zuweisungen                                                        }
{---------------------------------------------------------------------------}




GLOBAL OPERATOR := ( VAR A : INTERVAL; B : REAL );

BEGIN
  A.INF:= B;
  A.SUP:= B
END;



{---------------------------------------------------------------------------}
{    1.1 eigentliche Transferfunktionen                                     }
{---------------------------------------------------------------------------}



GLOBAL FUNCTION INTVAL  ( A : REAL ) : INTERVAL;

BEGIN
  INTVAL.INF:= A;
  INTVAL.SUP:= A
END;




GLOBAL FUNCTION INTVAL ( A, B : REAL ) : INTERVAL;

BEGIN
  IF A <= B THEN  BEGIN
                     INTVAL.INF:= A;
                     INTVAL.SUP:= B
                  END
            ELSE  _i_MATH_ERROR ( 94 )
END;




GLOBAL FUNCTION INF ( VAR A: INTERVAL ) : REAL;

BEGIN
  INF:= A.INF
END;




GLOBAL FUNCTION SUP ( VAR A : INTERVAL ) : REAL;

BEGIN
  SUP:= A.SUP
END;




{---------------------------------------------------------------------------}
{ 2. Spezielle Funktionen                                                   }
{---------------------------------------------------------------------------}
{    2.1 Mittelpunkt                                                        }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION MID( VAR A : INTERVAL ) : REAL;

BEGIN
  MID:= #*( 0.5*A.INF + 0.5*A.SUP )
END;




{---------------------------------------------------------------------------}
{    2.2 Durchmesser                                                        }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION DIAM( VAR A : INTERVAL ) : REAL;

BEGIN
  DIAM:= A.SUP -> A.INF
END;




{---------------------------------------------------------------------------}
{ 3. Vergleiche                                                             }
{---------------------------------------------------------------------------}
{    3.1 Vergleiche REAL mit REAL                                           }
{---------------------------------------------------------------------------}
{SEKTOR V11                                                                 }
{---------------------------------------------------------------------------}




{         ... sind bereits in die Run-time-Library integriert.              }




{---------------------------------------------------------------------------}
{    3.2 Vergleiche REAL mit INTERVAL                                       }
{---------------------------------------------------------------------------}
{SEKTOR V12                                                                 }
{---------------------------------------------------------------------------}




GLOBAL OPERATOR IN ( A : REAL; VAR B : INTERVAL ) INRIR : BOOLEAN;

BEGIN
  INRIR:= ( B.INF <= A ) AND ( A <= B.SUP )
END;



GLOBAL OPERATOR = ( A : REAL; VAR B : INTERVAL ) EQRIR : BOOLEAN;

BEGIN
  EQRIR:= ( A = B.INF ) and ( A = B.SUP )
END;



GLOBAL OPERATOR <> ( A : REAL; VAR B : INTERVAL ) NERIR : BOOLEAN;

BEGIN
  NERIR:= ( A <> B.INF ) OR ( A <> B.SUP )
END;




{---------------------------------------------------------------------------}
{    3.3 Vergleiche INTERVAL mit REAL                                       }
{---------------------------------------------------------------------------}
{SEKTOR V21                                                                 }
{---------------------------------------------------------------------------}




GLOBAL OPERATOR = ( VAR A : INTERVAL; B : REAL ) EQIRR : BOOLEAN;

BEGIN
  EQIRR:= ( A.INF = B ) and ( A.SUP = B )
END;




GLOBAL OPERATOR <> ( VAR A : INTERVAL; B : REAL ) NEIRR : BOOLEAN;

BEGIN
  NEIRR:= ( A.INF <> B ) OR ( A.SUP <> B )
END;




{---------------------------------------------------------------------------}
{    3.4 Vergleiche INTERVAL mit INTERVAL                                   }
{---------------------------------------------------------------------------}
{SEKTOR V22                                                                 }
{---------------------------------------------------------------------------}




GLOBAL OPERATOR =  ( VAR A, B : INTERVAL ) EQIRIR : BOOLEAN ;

BEGIN
  EQIRIR:= ( A.INF = B.INF ) AND ( A.SUP = B.SUP )
END;




GLOBAL OPERATOR <> ( VAR A, B : INTERVAL ) NEIRIR : BOOLEAN ;

BEGIN
  NEIRIR:= ( A.INF <> B.INF ) OR ( A.SUP <> B.SUP )
END;




GLOBAL OPERATOR <= ( VAR A, B : INTERVAL ) LEIRIR : BOOLEAN ;

BEGIN
  LEIRIR:= ( A.INF >= B.INF ) AND ( A.SUP <= B.SUP )
END;




GLOBAL OPERATOR < ( VAR A, B : INTERVAL ) LTIRIR : BOOLEAN;

BEGIN
  LTIRIR:=   ( A.INF >= B.INF ) AND ( A.SUP <= B.SUP ) AND
           ( ( A.INF <> B.INF ) OR  ( A.SUP <> B.SUP ) )
END;




GLOBAL OPERATOR >= ( VAR A, B : INTERVAL ) GEIRIR : BOOLEAN ;

BEGIN
  GEIRIR:= ( A.INF <= B.INF ) AND ( A.SUP >= B.SUP )
END;




GLOBAL OPERATOR > ( VAR A, B : INTERVAL ) GTIRIR : BOOLEAN;

BEGIN
  GTIRIR:=   ( A.INF <= B.INF ) AND ( A.SUP >= B.SUP ) AND
           ( ( A.INF <> B.INF ) OR  ( A.SUP <> B.SUP ) )
END;



GLOBAL OPERATOR >< ( VAR A, B : INTERVAL ) DISJIRIR : BOOLEAN ;

BEGIN
  DISJIRIR:= ( A.SUP < B.INF ) OR ( A.INF > B.SUP )
END;




{---------------------------------------------------------------------------}
{ 4. Arithmetische Operatoren ( + - * / ) und Verbandsoperatoren            }
{---------------------------------------------------------------------------}
{    4.1 Monadische Operatoren                                              }
{---------------------------------------------------------------------------}
{SEKTOR A02                                                                 }
{---------------------------------------------------------------------------}




GLOBAL OPERATOR + ( VAR A : INTERVAL ) PLUSIR : INTERVAL;

BEGIN
  PLUSIR:= A
END;




GLOBAL OPERATOR - ( VAR A : INTERVAL ) MINUSIR : INTERVAL;

BEGIN
  MINUSIR.INF:= -A.SUP;
  MINUSIR.SUP:= -A.INF
END;




{---------------------------------------------------------------------------}
{    4.2 Operatoren fuer Argumente REAL mit REAL                            }
{---------------------------------------------------------------------------}
{SEKTOR A11                                                                 }
{---------------------------------------------------------------------------}



{         ... +, -, *, / sind bereits in die Run-time-Library integriert.   }




GLOBAL OPERATOR +* ( A, B : REAL ) COHURR : INTERVAL;

BEGIN
  IF A < B THEN BEGIN
                   COHURR.INF:= A;
                   COHURR.SUP:= B;
                END
           ELSE BEGIN
                   COHURR.INF:= B;
                   COHURR.SUP:= A;
                END;
END;




{---------------------------------------------------------------------------}
{    4.3 Operatoren fuer Argumente REAL mit INTERVAL                        }
{---------------------------------------------------------------------------}
{SEKTOR A12                                                                 }
{---------------------------------------------------------------------------}




GLOBAL OPERATOR + ( A : REAL; VAR B : INTERVAL ) ADDRIR : INTERVAL;

BEGIN
  ADDRIR.INF:= A +< B.INF;
  ADDRIR.SUP:= A +> B.SUP
END;




GLOBAL OPERATOR - ( A : REAL; VAR B : INTERVAL ) SUBRIR : INTERVAL;

BEGIN
  SUBRIR.INF:= A -< B.SUP;
  SUBRIR.SUP:= A -> B.INF
END;



GLOBAL OPERATOR * ( A : REAL; VAR B : INTERVAL ) MULRIR : INTERVAL;

BEGIN
  IF SIGN(A) >= 0 THEN BEGIN
                          MULRIR.INF:= A *< B.INF;
                          MULRIR.SUP:= A *> B.SUP
                       END
                  ELSE BEGIN
                          MULRIR.INF:= A *< B.SUP;
                          MULRIR.SUP:= A *> B.INF
                       END
END;




GLOBAL OPERATOR / ( A : REAL; VAR B : INTERVAL ) DIVRIR : INTERVAL;

BEGIN
  IF 0.0 IN B THEN _i_MATH_ERROR( 96 );

  IF SIGN(A) >= 0 THEN BEGIN
                          DIVRIR.INF:= A /< B.SUP;
                          DIVRIR.SUP:= A /> B.INF
                       END
                  ELSE BEGIN
                          DIVRIR.INF:= A /< B.INF;
                          DIVRIR.SUP:= A /> B.SUP
                       END
END;




GLOBAL OPERATOR +* ( A : REAL; VAR B : INTERVAL ) COHURIR : INTERVAL;

BEGIN
  IF A < B.INF THEN  COHURIR.INF:= A
               ELSE  COHURIR.INF:= B.INF;

  IF A > B.SUP THEN  COHURIR.SUP:= A
               ELSE  COHURIR.SUP:= B.SUP

END;




{---------------------------------------------------------------------------}
{    4.4 Operatoren fuer Argumente INTERVAL mit REAL                        }
{---------------------------------------------------------------------------}
{SEKTOR A22                                                                 }
{---------------------------------------------------------------------------}




GLOBAL OPERATOR + ( VAR A : INTERVAL; B : REAL ) ADDIRR : INTERVAL;

BEGIN
  ADDIRR.INF:= A.INF +< B;
  ADDIRR.SUP:= A.SUP +> B
END;




GLOBAL OPERATOR - ( VAR A : INTERVAL; B : REAL ) SUBIRR : INTERVAL;

BEGIN
  SUBIRR.INF:= A.INF -< B;
  SUBIRR.SUP:= A.SUP -> B
END;




GLOBAL OPERATOR * ( VAR A : INTERVAL; B : REAL ) MULIRR : INTERVAL;

BEGIN
  IF SIGN(B) >= 0 THEN BEGIN
                          MULIRR.INF:= A.INF *< B;
                          MULIRR.SUP:= A.SUP *> B
                       END
                  ELSE BEGIN
                          MULIRR.INF:= A.SUP *< B;
                          MULIRR.SUP:= A.INF *> B
                       END
END;




GLOBAL OPERATOR / ( VAR A : INTERVAL; B : REAL ) DIVIRR : INTERVAL;

BEGIN
  IF SIGN(B) = 0 THEN _i_MATH_ERROR( 96 );

  IF SIGN(B) >= 0 THEN BEGIN
                          DIVIRR.INF:= A.INF /< B;
                          DIVIRR.SUP:= A.SUP /> B
                       END
                  ELSE BEGIN
                          DIVIRR.INF:= A.SUP /< B;
                          DIVIRR.SUP:= A.INF /> B
                       END
END;




GLOBAL OPERATOR +* ( VAR A : INTERVAL; B : REAL ) COHUIRR: INTERVAL;

BEGIN
  IF A.INF < B THEN COHUIRR.INF:= A.INF
               ELSE COHUIRR.INF:= B;

  IF A.SUP > B THEN COHUIRR.SUP:= A.SUP
               ELSE COHUIRR.SUP:= B
END;




{---------------------------------------------------------------------------}
{    4.5 Operatoren fuer Argumente INTERVAL mit INTERVAL                    }
{---------------------------------------------------------------------------}
{SEKTOR A22                                                                 }
{---------------------------------------------------------------------------}



GLOBAL OPERATOR + ( VAR A, B : INTERVAL ) ADDIRIR : INTERVAL;

BEGIN
  ADDIRIR.INF:= A.INF +< B.INF;
  ADDIRIR.SUP:= A.SUP +> B.SUP
END;




GLOBAL OPERATOR - ( VAR A, B : INTERVAL ) SUBIRIR : INTERVAL;

BEGIN
  SUBIRIR.INF:= A.INF -< B.SUP;
  SUBIRIR.SUP:= A.SUP -> B.INF
END;




{---------------------------------------------------------------------------}
{                                                                           }
{ Intervall - Multiplikation  [c.inf,c.sup] = [a.inf,a.sup] * [b.inf,b.sup] }
{                                                                           }
{                                                                           }
{  | a.inf  a.sup  b.inf  b.sup  |       c.inf       |       c.sup       |  }
{  +-----------------------------+-------------------+-------------------+  }
{  |   +      +      +      +    |   a.inf * b.inf   |   a.sup * b.sup   |  }
{  |   +      +      -      +    |   a.sup * b.inf   |   a.sup * b.sup   |  }
{  |   +      +      -      -    |   a.sup * b.inf   |   a.inf * b.sup   |  }
{  |                             |                   |                   |  }
{  |   -      -      +      +    |   a.inf * b.sup   |   a.sup * b.inf   |  }
{  |   -      -      -      +    |   a.inf * b.sup   |   a.inf * b.inf   |  }
{  |   -      -      -      -    |   a.sup * b.sup   |   a.inf * b.inf   |  }
{  |                             |                   |                   |  }
{  |   -      +      +      +    |   a.inf * b.sup   |   a.sup * b.sup   |  }
{  |   -      +      -      -    |   a.sup * b.inf   |   a.inf * b.inf   |  }
{  |                             |                   |                   |  }
{  |   -      +      -      +    |min(a.inf * b.sup, |max(a.inf * b.inf, |  }
{  |                             |    a.sup * b.inf )|    a.sup * b.sup )|  }
{  +-----------------------------+-------------------+-------------------+  }
{                                                                           }
{---------------------------------------------------------------------------}
GLOBAL OPERATOR * ( VAR A, B : INTERVAL ) MULIRIR : INTERVAL;

VAR  M1,M2 : REAL;

BEGIN
   IF SIGN(a.INF) >= 0 THEN BEGIN
                               IF SIGN(b.INF) >= 0
                                  THEN  MULIRIR.INF:= a.INF*<b.INF
                                  ELSE  MULIRIR.INF:= a.SUP*<b.INF;

                               IF SIGN(b.SUP) >= 0
                                  THEN  MULIRIR.SUP:= a.SUP*>b.SUP
                                  ELSE  MULIRIR.SUP:= a.INF*>b.SUP;
                            END
   ELSE
   IF SIGN(a.SUP) <= 0 THEN BEGIN
                               IF SIGN(b.SUP) >= 0
                                  THEN  MULIRIR.INF:= a.INF*<b.SUP
                                  ELSE  MULIRIR.INF:= a.SUP*<b.SUP;

                               IF SIGN(b.INF) >= 0
                                  THEN  MULIRIR.SUP:= a.SUP*>b.INF
                                  ELSE  MULIRIR.SUP:= a.INF*>b.INF;
                            END
   ELSE
      IF SIGN(b.INF) >= 0 THEN BEGIN
                                  MULIRIR.INF:= a.INF*<b.SUP;
                                  MULIRIR.SUP:= a.SUP*>b.SUP;
                               END
      ELSE
      IF SIGN(b.SUP) <= 0 THEN BEGIN
                                  MULIRIR.INF:= a.SUP*<b.INF;
                                  MULIRIR.SUP:= a.INF*>b.INF;
                               END
                          ELSE BEGIN
                                  M1:= a.INF*<b.SUP;
                                  M2:= a.SUP*<b.INF;
                                  IF M1 < M2 THEN  MULIRIR.INF:= M1
                                             ELSE  MULIRIR.INF:= M2;

                                  M1:= a.INF*>b.INF;
                                  M2:= a.SUP*>b.SUP;
                                  IF M1 < M2 THEN  MULIRIR.SUP:= M2
                                             ELSE  MULIRIR.SUP:= M1;
                               END;
END;




{---------------------------------------------------------------------------}
{                                                                           }
{ Intervall - Division    [c.inf,c.sup] = [a.inf,a.sup] / [ b.inf , b.sup ] }
{                                       = [a.inf,a.sup] * [1/b.sup,1/b.inf] }
{                                                                           }
{                                                                           }
{  | b.inf,b.sup   a.inf  a.sup  |     c.inf     |     c.sup     |          }
{  +-----------------------------+---------------+---------------+          }
{  |      +          +      +    | a.inf / b.sup | a.sup / b.inf |          }
{  |      +          -      +    | a.inf / b.inf | a.sup / b.inf |          }
{  |      +          -      -    | a.inf / b.inf | a.sup / b.sup |          }
{  |                             |               |               |          }
{  |      -          +      +    | a.sup / b.sup | a.inf / b.inf |          }
{  |      -          -      +    | a.sup / b.sup | a.inf / b.sup |          }
{  |      -          -      -    | a.sup / b.inf | a.inf / b.sup |          }
{  +-----------------------------+---------------+---------------+          }
{                                                                           }
{---------------------------------------------------------------------------}
GLOBAL OPERATOR / ( VAR A, B : INTERVAL ) DIVIRIR : INTERVAL;

BEGIN
   IF SIGN(b.INF) > 0 THEN BEGIN
                              IF SIGN(a.INF) >= 0
                                 THEN  DIVIRIR.INF:= a.INF/<b.SUP
                                 ELSE  DIVIRIR.INF:= a.INF/<b.INF;

                              IF SIGN(a.SUP) >= 0
                                 THEN  DIVIRIR.SUP:= a.SUP/>b.INF
                                 ELSE  DIVIRIR.SUP:= a.SUP/>b.SUP;
                            END
   ELSE
   IF SIGN(b.SUP) < 0 THEN BEGIN
                              IF SIGN(a.SUP) >= 0
                                 THEN  DIVIRIR.INF:= a.SUP/<b.SUP
                                 ELSE  DIVIRIR.INF:= a.SUP/<b.INF;

                              IF SIGN(a.INF) >= 0
                                 THEN  DIVIRIR.SUP:= a.INF/>b.INF
                                 ELSE  DIVIRIR.SUP:= a.INF/>b.SUP;
                            END
   ELSE _i_MATH_ERROR ( 96 );
END;




GLOBAL OPERATOR +* ( VAR A, B : INTERVAL ) COHUIRIR : INTERVAL;

BEGIN

  IF A.INF < B.INF THEN COHUIRIR.INF:= A.INF
                   ELSE COHUIRIR.INF:= B.INF;

  IF A.SUP > B.SUP THEN COHUIRIR.SUP:= A.SUP
                   ELSE COHUIRIR.SUP:= B.SUP

END;




GLOBAL OPERATOR ** ( VAR A, B : INTERVAL ) INTSCTIRIR : INTERVAL;

BEGIN
  IF A >< B THEN  _i_MATH_ERROR (95) ELSE

  BEGIN
    IF A.INF > B.INF THEN INTSCTIRIR.INF:= A.INF
                     ELSE INTSCTIRIR.INF:= B.INF;

    IF A.SUP < B.SUP THEN INTSCTIRIR.SUP:= A.SUP
                     ELSE INTSCTIRIR.SUP:= B.SUP
  END
END;


{$XSC-C}

global function sign   (x : interval)   : integer  ; external i_sign ;
global function sqrt   (r : interval )  : interval ; external j_sqrt ;
global function exp    (x : interval)   : interval ; external j_exp ;
global function loga (x : interval;y:real)   : interval ; external i_loga ;
global function ln     (x : interval)   : interval ; external j_log ;
global function log2   (x : interval)   : interval ; external j_log2 ;
global function log10  (x : interval)   : interval ; external j_lg10 ;
global function power(x,y : interval)   : interval ; external t_ipow ;
global function exp2   (x : interval)   : interval ; external j_exp2 ;
global function exp10  (x : interval)   : interval ; external j_ex10 ;
global function sin    (x : interval)   : interval ; external j_sin ;
global function cos    (x : interval)   : interval ; external j_cos ;
global function tan    (x : interval)   : interval ; external j_tan ;
global function cot    (x : interval)   : interval ; external j_cot ;
global function arcsin (x : interval)   : interval ; external j_asin ;
global function arccos (x : interval)   : interval ; external j_acos ;
global function arctan (x : interval)   : interval ; external j_atan ;
global function arccot (x : interval)   : interval ; external j_acot ;
global function arctan2(x,y : interval) : interval ; external i_atn2 ;
global function sinh   (x : interval)   : interval ; external j_sinh ;
global function cosh   (x : interval)   : interval ; external j_cosh ;
global function tanh   (x : interval)   : interval ; external j_tanh ;
global function coth   (x : interval)   : interval ; external j_coth ;
global function arsinh (x : interval)   : interval ; external j_asnh ;
global function arcosh (x : interval)   : interval ; external j_acsh ;
global function artanh (x : interval)   : interval ; external j_atnh ;
global function arcoth (x : interval)   : interval ; external j_acth ;

{XSC-C$}

$off

{ Baumhoff's hardware functions }

{$XSC-C}

global function exp  (x : interval)       : interval ; external i_exp  ;
global function ln   (x : interval)       : interval ; external i_ln  ;
global function sin  (x : interval)       : interval ; external i_sin  ;
global function cos  (x : interval)       : interval ; external i_cos  ;
global function tan  (x : interval)       : interval ; external i_tan  ;
global function cot  (x : interval)       : interval ; external i_cot  ;
global function arcsin (x : interval)     : interval ; external i_asn ;
global function arccos (x : interval)     : interval ; external i_acs ;
global function arctan (x : interval)     : interval ; external i_atn ;
global function arccot (x : interval)     : interval ; external i_act ;
global function pow  (x,y : interval)     : interval ; external i_pow  ;
global function sinh (x : interval)       : interval ; external i_sinh ;
global function cosh (x : interval)       : interval ; external i_cosh ;
global function tanh (x : interval)       : interval ; external i_tanh ;
global function coth (x : interval)       : interval ; external i_coth ;
global function arsinh (x : interval)     : interval ; external i_asnh;
global function arcosh (x : interval)     : interval ; external i_acsh;
global function artanh (x : interval)     : interval ; external i_atnh;
global function arcoth (x : interval)     : interval ; external i_acth;

{XSC-C$}

$on

{ Baumhoff }

$off

{---------------------------------------------------------------------------}
{ 5. Intervall - Standardfunktionen fuer PASCAL SC 2                        }
{    Stand :  5.2.1988      Version kws SAM 68k                             }
{---------------------------------------------------------------------------}





PROCEDURE IREDUK( VAR xpos : BOOLEAN;
                  VAR x    : LONGREAL;
                  VAR j    : INTEGER;
                  r        : REAL;
                  cosfct   : BOOLEAN   );

  EXTERNAL;




FUNCTION APPROX( l : LONGREAL; oddjot : BOOLEAN ) : LONGREAL;

CONST p0  =  1.570796326794;
      p0s =  8.963959E-13;
      p1  = -0.6459640975062;
      p1s = -1.907082E-14;
      p2  =  0.7969262624561E-1;
      p3  = -0.4681754131060E-2;
      p4  =  0.1604411684698E-3;
      p5  = -0.3598809117031E-5;
      p6  =  0.5688203332688E-7;
      p7  = -0.64462136749E-9;

VAR x, xs, y, ys, p, ps, q : REAL;
    akku                   : DOTPRECISION;


  PROCEDURE dotround( VAR akku : DOTPRECISION; VAR x, xs : REAL );

  BEGIN
    CASE SIGN( akku ) OF
       0 : BEGIN
             x := 0.0;
             xs:= 0.0
           END;
       1 : BEGIN
             x := #<( akku );
             xs:= #<( akku - x )
           END;
      -1 : BEGIN
             x := #>( akku );
             xs:= #>( akku - x )
           END
    END
  END;


BEGIN (* APPROX *)
  IF l >= LONG( 0.0 ) THEN  BEGIN
                              x:= SHORTDOWN( l );
                              xs:= SHORT( l - LONG( x ) )
                           END
                      ELSE BEGIN
                              x:= SHORTUP( l );
                              xs:= SHORT( l - LONG( x ) )
                           END;

  akku:= #( x * x  + x * xs + x * xs + xs * xs );
  dotround( akku, y, ys );
  q:= ( ( ( ( ( p7 * y + p6 ) * y + p5 ) * y + p4 ) * y + p3 ) * y + p2 )
       * y;
  akku:= #( q * y + p1 * y + p1s * y
             + q * ys + p1 * ys + p1s * ys + p0 + p0s );
  dotround( akku, p, ps );
  akku:= #( p * x + p * xs + ps * x + ps * xs );
  dotround( akku, y, ys );

  IF oddjot THEN APPROX:= -( LONG( y ) + LONG( ys ) )
            ELSE APPROX:=    LONG( y ) + LONG( ys )
END;


{
{  Fehler bei Abfrage von Ziffern 14/15 in Longreals:
{  a[9] statt a[8] wurde abgefragt! Ueberall geaendert.
{
{  Ferner wurden CORUP und CORDOWN auskommentiert,
{  da identisch mit Routinen in LRLIB.ASM :
{  -R.L.-   10.9.90
{
{
{FUNCTION CORDOWN( VAR a : LONGREAL ) : REAL;
{
{BEGIN
{  IF (   ORD(a[8]) = 0   ) { 14. + 15. Ziffer } {OR
{     ( ( ORD(a[8]) = $99 ) AND ( a < LONG( 0.0 ) ) )
{  THEN
{    CORDOWN:= PRED( SHORTDOWN( a ) )
{  ELSE
{    CORDOWN:= SHORTDOWN( a )
{END;
{
{
{
{
{FUNCTION CORUP( VAR a : LONGREAL ) : REAL;
{
{BEGIN
{  IF (   ORD(a[8]) = 0   )  { 14. + 15. Ziffer } {OR
{     ( ( ORD(a[8]) = $99 ) AND ( a > LONG( 0.0 ) ) )
{  THEN
{    CORUP:= SUCC( SHORTUP( a ) )
{  ELSE
{    CORUP:= SHORTUP( a )
{END;
{
}



FUNCTION ISINCOS( y : INTERVAL; cos_fct : boolean ) : INTERVAL;

VAR links, rechts  : REAL;
    l,lx, r, rx, m : LONGREAL;{ linke,rechte grenze,zwisch }
    lj, rj         : INTEGER;
    lxpos, rxpos   : BOOLEAN;
    lu,ru          : BOOLEAN;

BEGIN
  IF ( EXPO( y.INF ) > 5 ) OR ( EXPO( y.SUP ) > 5 )
     { ( ABS( y.INF ) >= 1E6 ) OR ( ABS( y.SUP ) >= 1E6 ) }
  THEN
    _i_MATH_ERROR( 91 );

  lu:= false ;
  ru:= false ;

  IF ( EXPO(y.INF ) <= -10 ) AND NOT cos_fct THEN
  BEGIN
      lu:= true ;
      lx:= y.INF ;
      lj:= 0 ;
      lxpos:= y.INF > 0.0 ;
  END
  ELSE  IREDUK( lxpos, lx, lj, y.INF, cos_fct );

  IF ( EXPO(y.SUP ) <= -10 ) AND NOT cos_fct THEN
  BEGIN
      ru:= true ;
      rx:= y.SUP ;
      rj:= 0 ;
      rxpos:= y.SUP > 0.0 ;
  END
  ELSE   IREDUK( rxpos, rx, rj, y.SUP, cos_fct );

  l:=  -1.0;
  r:=   1.0;
  IF rj - lj <= 2 THEN
  BEGIN
    CASE 32 *  ORD( NOT cos_fct ) + 8 * ( rj - lj ) + 4 * ( lj MOD 2 )
         + 2 * ORD( lxpos )  + ORD( rxpos )
    OF

      0, 6, 7, 14, 32, 33, 34, 35 :

        BEGIN
          l:= APPROX( lx, ODD( lj ) );
          r:= APPROX( rx, ODD( rj ) )
        END;

      2, 3, 4, 10, 36, 37, 38, 39 :

        BEGIN
          l:= APPROX( rx, ODD( rj ) );
          r:= APPROX( lx, ODD( lj ) )
        END;

      1, 22, 41, 42 :

        BEGIN
          l:= APPROX( lx, ODD( lj ) );
          m:= APPROX( rx, ODD( rj ) );
          IF l > m THEN l:= m;
        END;

      5, 18, 45, 46 :

        BEGIN
          r:= APPROX( lx, ODD( lj ) );
          m:= APPROX( rx, ODD( rj ) );
          IF m > r THEN r:= m
        END;

      15, 40 :

        l:= APPROX( lx, ODD( lj ) );

      8, 43 :

        l:= APPROX( rx, ODD( rj ) );

      12, 47 :

        r:= APPROX( rx, ODD( rj ) );

      11, 44 :

        r:= APPROX( lx, ODD( lj ) );

{     9, 13, 16, 17, 20, 21, 48 .. 55 : ;  }

      ELSE :

    END ;
  END;

  IF lu THEN links:= CORRDOWN( lx )
        ELSE links:= CORRDOWN( l );
  IF -1.0 > links THEN links:= -1.0;

  IF ru THEN rechts:= CORRUP( rx )
        ELSE rechts:= CORRUP( r );
  IF 1.0 < rechts THEN rechts:= 1.0;

  ISINCOS:= INTVAL( links, rechts )
END; { ISINCOS }


$on


{---------------------------------------------------------------------------}
{    5.1 Argument                                                           }
{---------------------------------------------------------------------------}


{         ... nur aus Nummerierungsgruenden aufgefuehrt                     }




{---------------------------------------------------------------------------}
{    5.2 Betrag                                                             }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION ABS( VAR I : INTERVAL ) : INTERVAL;

BEGIN
  IF SIGN(I.INF) >= 0 THEN ABS:=  I ELSE     { Interval positiv }
  IF SIGN(I.SUP) <= 0 THEN ABS:= -I ELSE     { Interval negativ }
  BEGIN                                  { 0 in Interval    }
     ABS.INF:= 0.0;
     IF -I.INF > I.SUP THEN  ABS.SUP:= -I.INF
                       ELSE  ABS.SUP:=  I.SUP;
  END;
END;




{---------------------------------------------------------------------------}
{    5.3 Quadrat                                                            }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION SQR( VAR I : INTERVAL ) : INTERVAL;

BEGIN
  IF SIGN(I.INF) >= 0 THEN BEGIN                        { Interval positiv }
                              SQR.INF:= I.INF *< I.INF;
                              SQR.SUP:= I.SUP *> I.SUP;
                           END ELSE
  IF SIGN(I.SUP) <= 0 THEN BEGIN                        { Interval negativ }
                              SQR.INF:= I.SUP *< I.SUP;
                              SQR.SUP:= I.INF *> I.INF;
                           END ELSE
                           BEGIN                        { 0 in Interval    }
                              SQR.INF:= 0.0;
                              IF -I.INF > I.SUP THEN SQR.SUP:= I.INF *> I.INF
                                                ELSE SQR.SUP:= I.SUP *> I.SUP;
                           END;
END;


$off


{---------------------------------------------------------------------------}
{    5.4 Quadratwurzel                                                      }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION SQRT( y : INTERVAL ) : INTERVAL;

VAR x    : LONGREAL;
    s, d : REAL;

BEGIN
  x:= L_SQRT( y.INF );
  IF ORD(x[8]) <> 0  { Ziffer 14/15 <> 0 } THEN  SQRT.INF:= SHORTDOWN( x )
  ELSE
  BEGIN
    s:= SHORTDOWN( x );
    d:= #*( s * s - y.INF );
    IF SIGN(d) > 0 THEN s:= PRED( s );
    IF SIGN(s) < 0 THEN SQRT.INF:= 0.0 ELSE SQRT.INF:= s
  END;
  x:= L_SQRT( y.SUP );
  IF ORD(x[8]) <> 0  { Ziffer 14/15 <> 0 } THEN  SQRT.SUP:= SHORTUP( x )
  ELSE
  BEGIN
    s:= SHORTDOWN( x );
    d:= #*( s * s - y.SUP );
    IF SIGN(d) <> 0 THEN s:= SUCC( s );
    SQRT.SUP:= s
  END
END;




{---------------------------------------------------------------------------}
{    5.5 Exponentialfunktion                                                }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION EXP( i : INTERVAL ) : INTERVAL;

CONST e_lo = 2.718281828459;

VAR x    : LONGREAL;
    y    : REAL;
    korr : BOOLEAN;

BEGIN
  IF SIGN(i.INF) = 0 THEN EXP.INF:= 1.0  ELSE
  IF   i.INF = 1.0   THEN EXP.INF:= e_lo ELSE
  BEGIN
    x:= L_EXP( i.INF );

    korr:= ORD(x[8]) DIV 16 = 0;
      { 14. Ziffer = 0 : korrigiere 2mal, da EXP nur auf 0.75e-14 exakt ist }

    y:= CORRDOWN( x );
    IF  korr   THEN y:= PRED( y );
    IF SIGN(y) < 0 THEN y:= 0.0;
    IF ( SIGN( i.INF ) >= 0 ) AND ( y < 1.0 ) THEN EXP.INF:= 1.0
                                              ELSE EXP.INF:= y;
  END;

  IF SIGN(i.SUP) = 0 THEN EXP.SUP:=  1.0       ELSE
  IF   i.SUP = 1.0   THEN EXP.SUP:= SUCC(e_lo) ELSE
  BEGIN
    x:= L_EXP( i.SUP );

    korr:= ORD(x[8]) DIV 16 = 0;
      { 14. Ziffer = 0 : korrigiere 2mal, da EXP nur auf 0.75e-14 exakt ist }

    y:= CORRUP( x );
    IF korr THEN y:= SUCC( y );
    IF ( SIGN(i.SUP) <= 0 ) AND ( y > 1.0 ) THEN EXP.SUP:= 1.0
                                            ELSE EXP.SUP:= y;
  END;

END;




{---------------------------------------------------------------------------}
{    5.6 Logarithmus                                                        }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION LN( y : INTERVAL ) : INTERVAL;

BEGIN
  IF y.INF = 1.0 THEN LN.INF:= 0.0
                 ELSE LN.INF:= CORRDOWN( L_LN( y.INF ) );
  IF y.SUP = 1.0 THEN LN.SUP:= 0.0
                 ELSE LN.SUP:= CORRUP( L_LN( y.SUP ) );
END;




{---------------------------------------------------------------------------}
{    5.7 Sinus                                                              }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION SIN( y : INTERVAL ) : INTERVAL;

BEGIN
  IF y = 0.0 THEN SIN:= y
             ELSE SIN:= ISINCOS( y, FALSE )
END;




{---------------------------------------------------------------------------}
{    5.8 Cosinus                                                            }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION COS( y : INTERVAL ) : INTERVAL;

BEGIN
  IF y = 0.0 THEN COS:= 1.0
             ELSE COS:= ISINCOS( y, TRUE )
END;




{---------------------------------------------------------------------------}
{    5.9 Arkustangens                                                       }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION ARCTAN( y : INTERVAL ) : INTERVAL;

BEGIN
  IF SIGN(y.INF) = 0 THEN ARCTAN.INF:= 0.0
                     ELSE ARCTAN.INF:= CORRDOWN( L_ARCTAN( y.INF ) );
  IF SIGN(y.SUP) = 0 THEN ARCTAN.SUP:= 0.0
                     ELSE ARCTAN.SUP:= CORRUP( L_ARCTAN( y.SUP ) )
END;




{---------------------------------------------------------------------------}
{    5.10 Zusaetzliche Funktionen                                           }
{---------------------------------------------------------------------------}


{---------------------------------------------------------------------------}
{    5.10.1 EXP2                                                            }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION EXP2  ( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   y:= CORRDOWN( efct( log10_2, x.INF ) );
   IF ( x.INF >= 0.0 ) and ( y < 1.0 ) THEN EXP2.INF:= 1.0
                                       ELSE EXP2.INF:= y;

   y:= CORRUP  ( efct( log10_2, x.SUP ) );
   IF ( x.SUP <= 0.0 ) and ( y > 1.0 ) THEN EXP2.SUP:= 1.0
                                       ELSE EXP2.SUP:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.2 EXP10                                                           }
{---------------------------------------------------------------------------}



GLOBAL FUNCTION EXP10 ( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   y:= CORRDOWN( efct( eins, x.INF ) );
   IF ( x.INF >= 0.0 ) and ( y < 1.0 ) THEN EXP10.INF:= 1.0
                                       ELSE EXP10.INF:= y;

   y:= CORRUP  ( efct( eins, x.SUP ) );
   IF ( x.SUP <= 0.0 ) and ( y > 1.0 ) THEN EXP10.SUP:= 1.0
                                       ELSE EXP10.SUP:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.3 LOG2                                                            }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION LOG2  ( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   y:= CORRDOWN( l_log10( x.INF ) / log10_2 );
   IF ( x.INF >= 1.0 ) and ( y < 0.0 ) THEN LOG2.INF:= 0.0
                                       ELSE LOG2.INF:= y;

   y:= CORRUP  ( l_log10( x.SUP ) / log10_2  );
   IF ( x.SUP <= 1.0 ) and ( y > 0.0 ) THEN LOG2.SUP:= 0.0
                                       ELSE LOG2.SUP:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.4 LOG10                                                           }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION LOG10 ( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   y:= CORRDOWN( l_log10( x.INF ) );
   IF ( x.INF >= 1.0 ) and ( y < 0.0 ) THEN LOG10.INF:= 0.0
                                       ELSE LOG10.INF:= y;

   y:= CORRUP  ( l_log10( x.SUP ) );
   IF ( x.SUP <= 1.0 ) and ( y > 0.0 ) THEN LOG10.SUP:= 0.0
                                       ELSE LOG10.SUP:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.5 TAN                                                             }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION TAN   ( VAR x : INTERVAL ) : INTERVAL;
VAR cl,cu : longREAL;
BEGIN
   IF sign( #( x.SUP - x.INF - pi_up1 - pi_up2 ) ) > 0  THEN _i_MATH_ERROR(137)
                                                 { Illegal argument for tan }
   ELSE
   BEGIN
      {  diam(x) ist < pi  }

      cl:= l_cos( x.INF );
      cu:= l_cos( x.SUP );

      IF sign(cl) <> sign(cu) THEN _i_MATH_ERROR( 137 )  ELSE
      BEGIN
         IF  x.INF = 0.0  THEN TAN.INF:= 0.0
                          ELSE TAN.INF:= CORRDOWN( l_sin( x.INF ) / cl );
         IF  x.SUP = 0.0  THEN TAN.SUP:= 0.0
                          ELSE TAN.SUP:= CORRUP  ( l_sin( x.SUP ) / cu );
      END;
   END;
END;


{---------------------------------------------------------------------------}
{    5.10.6 COT                                                             }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION COT   ( VAR x : INTERVAL ) : INTERVAL;
VAR sl,su : longREAL;
BEGIN
   IF sign( #( x.SUP - x.INF - pi_up1 - pi_up2 ) ) > 0  THEN _i_MATH_ERROR(130)
                                                 { Illegal argument for cot }
   ELSE
   BEGIN
      {  diam(x) ist < pi  }

      sl:= l_sin( x.SUP );
      su:= l_sin( x.INF );

      IF ( sign(sl) = 0 ) or ( sign(sl) <> sign(su) ) THEN _i_MATH_ERROR( 130 )  ELSE
      BEGIN
         COT.INF:= CORRDOWN( l_cos( x.SUP ) / sl );
         COT.SUP:= CORRUP  ( l_cos( x.INF ) / su );
      END;
   END;
END;


{---------------------------------------------------------------------------}
{    5.10.7 ARCSIN                                                          }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION ARCSIN( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   y:= CORRDOWN( l_arcsin( x.INF ) );
   IF ( x.INF >= 0.0 ) and ( y < 0.0 ) THEN ARCSIN.INF:= 0.0
                                       ELSE ARCSIN.INF:= y;

   y:= CORRUP  ( l_arcsin( x.SUP ) );
   IF ( x.SUP <= 0.0 ) and ( y > 0.0 ) THEN ARCSIN.SUP:= 0.0
                                       ELSE ARCSIN.SUP:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.8 ARCCOS                                                          }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION ARCCOS( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   ARCCOS.SUP:= CORRUP  ( l_arccos( x.INF ) );
   IF  x.INF = 1.0  THEN ARCCOS.SUP:= 0.0;

   y:= CORRDOWN( l_arccos( x.SUP ) );
   IF  y < 0.0  THEN ARCCOS.INF:= 0.0 ELSE ARCCOS.INF:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.9 ARCTAN2                                                         }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION ARCTAN2( VAR x,y : INTERVAL ) : INTERVAL;
BEGIN
 { fehlt noch, vorlaeufig : }
 ARCTAN2:= ARCTAN(X/Y);
END;


{---------------------------------------------------------------------------}
{    5.10.10 ARCCOT                                                         }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION ARCCOT( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   ARCCOT.SUP:= CORRUP  ( l_arccot( x.INF ) );

   y:= CORRDOWN( l_arccot( x.SUP ) );
   IF  y < 0.0  THEN ARCCOT.INF:= 0.0 ELSE ARCCOT.INF:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.11 SINH                                                           }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION SINH  ( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   y:= CORRDOWN( l_sinh( x.INF ) );
   IF ( x.INF >= 0.0 ) and ( y < 0.0 ) THEN SINH.INF:= 0.0
                                       ELSE SINH.INF:= y;

   y:= CORRUP  ( l_sinh( x.SUP ) );
   IF ( x.SUP <= 0.0 ) and ( y > 0.0 ) THEN SINH.SUP:= 0.0
                                       ELSE SINH.SUP:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.12 COSH                                                           }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION COSH  ( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
    z : INTERVAL;
BEGIN
   z:= abs(x);
   IF  SIGN( z.SUP ) = 0  THEN COSH:= 1.0   ELSE
   BEGIN
      y:= CORRDOWN( l_cosh( z.INF ) );
      IF  y < 1.0  THEN COSH.INF:= 1.0 ELSE COSH.INF:= y;

      COSH.SUP:= CORRUP  ( l_cosh( z.SUP ) );
   END;
END;


{---------------------------------------------------------------------------}
{    5.10.13 TANH                                                           }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION TANH  ( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   y:= CORRDOWN( l_tanh( x.INF ) );
   IF ( x.INF >= 0.0 ) and ( y < 0.0 ) THEN TANH.INF:= 0.0  ELSE
   IF                        y < -1.0  THEN TANH.INF:= -1.0
                                       ELSE TANH.INF:= y;

   y:= CORRUP  ( l_tanh( x.SUP ) );
   IF ( x.SUP <= 0.0 ) and ( y > 0.0 ) THEN TANH.SUP:= 0.0  ELSE
   IF                        y > 1.0   THEN TANH.SUP:= 1.0
                                       ELSE TANH.SUP:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.14 COTH                                                           }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION COTH  ( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   IF 0.0 in x THEN _i_MATH_ERROR( 131 )  { Illegal argument for coth } ELSE
   IF x.INF > 0.0 THEN
   BEGIN
      COTH.SUP:= CORRUP  ( l_coth( x.INF ) );

      y:= CORRDOWN( l_coth( x.SUP ) );
      IF  y < 1.0  THEN COTH.INF:= 1.0 ELSE COTH.INF:= y;
   END ELSE
   BEGIN
      COTH.INF:= CORRDOWN( l_coth( x.SUP ) );

      y:= CORRUP  ( l_coth( x.INF ) );
      IF  y > -1.0  THEN COTH.SUP:= -1.0 ELSE COTH.SUP:= y;
   END;
END;


{---------------------------------------------------------------------------}
{    5.10.15 ARSINH                                                         }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION ARSINH( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   y:= CORRDOWN( l_arsinh( x.INF ) );
   IF ( x.INF >= 0.0 ) and ( y < 0.0 ) THEN ARSINH.INF:= 0.0
                                       ELSE ARSINH.INF:= y;

   y:= CORRUP  ( l_arsinh( x.SUP ) );
   IF ( x.SUP <= 0.0 ) and ( y > 0.0 ) THEN ARSINH.SUP:= 0.0
                                       ELSE ARSINH.SUP:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.16 ARCOSH                                                         }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION ARCOSH( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   y:= CORRDOWN( l_arcosh( x.INF ) );
   IF  y < 0.0  THEN ARCOSH.INF:= 0.0 ELSE ARCOSH.INF:= y;

   IF  x.SUP = 1.0 THEN ARCOSH.SUP:= 0.0
                   ELSE ARCOSH.SUP:= CORRUP  ( l_arcosh( x.SUP ) );
END;


{---------------------------------------------------------------------------}
{    5.10.17 ARTANH                                                         }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION ARTANH( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   y:= CORRDOWN( l_artanh( x.INF ) );
   IF ( x.INF >= 0.0 ) and ( y < 0.0 ) THEN ARTANH.INF:= 0.0
                                       ELSE ARTANH.INF:= y;

   y:= CORRUP  ( l_artanh( x.SUP ) );
   IF ( x.SUP <= 0.0 ) and ( y > 0.0 ) THEN ARTANH.SUP:= 0.0
                                       ELSE ARTANH.SUP:= y;
END;


{---------------------------------------------------------------------------}
{    5.10.18 ARCOTH                                                         }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION ARCOTH( VAR x : INTERVAL ) : INTERVAL;
VAR y : REAL;
BEGIN
   IF NOT ( intval(-1.0,1.0) >< x ) THEN _i_MATH_ERROR( 136 )
                                         { Illegal argument for arcoth }
   ELSE
   IF x.INF > 0.0 THEN
   BEGIN
      ARCOTH.SUP:= CORRUP  ( l_arcoth( x.INF ) );

      y:= CORRDOWN( l_arcoth( x.SUP ) );
      IF  y < 0.0  THEN ARCOTH.INF:= 0.0 ELSE ARCOTH.INF:= y;
   END ELSE
   BEGIN
      ARCOTH.INF:= CORRDOWN( l_arcoth( x.SUP ) );

      y:= CORRUP  ( l_arcoth( x.INF ) );
      IF  y > 0.0  THEN ARCOTH.SUP:= 0.0 ELSE ARCOTH.SUP:= y;
   END;
END;

$on




{---------------------------------------------------------------------------}
{ 6. Ein- Ausgabe                                                           }
{---------------------------------------------------------------------------}



GLOBAL PROCEDURE READ( VAR F : TEXT; VAR A : INTERVAL );
{
 Erwartet : [ R1 , R2 ] oder eine reelle Zahl R.
 Liegt keine reelle Zahl vor und fehlt eines der Zeichen '[', ',' oder ']',
 oder ist R1 > R2, so erfolgt Fehlerabbruch .
}

VAR vorz,expo : INTEGER;
    CH        : CHAR;
    mant      : STRING;

  PROCEDURE SKIPBLANKS ;
  BEGIN
    WHILE F^ = ' ' DO READ( F, CH )
  END;


BEGIN
  SKIPBLANKS ;
  IF F^ <> '[' THEN
  BEGIN
    {$XSC-C}
        read_pintval( f, a );
    {XSC-C$}
    { _i_math_error(93) ; }
$off
     _READ_REAL( f, vorz, mant, expo );         { lesen, pruefen, zerlegen}
     A.INF:= _RVALVMER( vorz, mant, expo, -1 ); { konvertieren            }
     A.SUP:= _RVALVMER( vorz, mant, expo, +1 ); { konvertieren            }
$on
  END ELSE
  BEGIN
    READ( F, CH );                          { '[' ueberlesen }
    READ( F, A.INF : -1 );
    SKIPBLANKS ;
    IF F^ <> ',' THEN _i_MATH_ERROR ( 93 );
    READ( F,CH );                           { ',' ueberlesen }
    READ( F, A.SUP : 1 );
    SKIPBLANKS ;
    IF F^ <> ']' THEN _i_MATH_ERROR ( 93 );
    READ( F, CH );                          { ']' ueberlesen }
  END;
  A:= INTVAL( A.INF, A.SUP );             { ABFRAGE INF <= SUP }
END; { READ Interval }


GLOBAL PROCEDURE WRITE( VAR F : TEXT; A : INTERVAL );

$off

{ WRITE INTERVAL Konstanten fuer Dezimalarithmetik : }

CONST mant_len      = 13;   { Mantissenlaenge der Arithmetik }
      max_format    = 19;   { groesstes Ausgabeformat }
      min_format    =  8;   { kleinstes Ausgabeformat }
      vorz_expo_len =  7;   { Platz fuer Vorzeichen + Dez.punkt + Exponent + 1 }

$on

{ WRITE INTERVAL Konstanten fuer IEEE-Arithmetik : }

{$XSC-C}

CONST mant_len      = 53;
      max_format    = 23;
      min_format    =  9;
      vorz_expo_len =  8;

{XSC-C$}

VAR format, diffexpo, vergleichsexpo : INTEGER;
    diff : real;

BEGIN
  IF A.INF = A.SUP THEN format:= max_format ELSE
  BEGIN
    diff:= A.SUP - A.INF;

    IF diff=0.0     { Underflow bei A.SUP-A.INF  }
    then
       diffexpo:= EXPO(  COMP( MANT(A.SUP), EXPO(A.SUP)+mant_len )
                       - COMP( MANT(A.INF), EXPO(A.INF)+mant_len ) ) - mant_len
    else
       diffexpo:= EXPO( diff );

    IF A.SUP <= 0.0 THEN vergleichsexpo:= EXPO( A.INF )
                    ELSE vergleichsexpo:= EXPO( A.SUP );
$off
    format:= vergleichsexpo - diffexpo + vorz_expo_len;
$on

{ fuer IEEE-Arithmetik Dualexponenten auf Dezimalexponenten umrechnen: }
{ lg 2 = 0.30103 ~ 0.3                                                 }
{$XSC-C}
    format:= ( vergleichsexpo - diffexpo ) * 3 div 10 + vorz_expo_len;
{XSC-C$}

    IF format < min_format  THEN format:= min_format  ELSE
    IF format > max_format  THEN format:= max_format;
  END;

  WRITE( F, '[', ' ' : max_format + 1 - format, A.INF : format : 0 : -1, ',',
                 ' ' : max_format + 1 - format, A.SUP : format : 0 :  1, ' ]' )
END; { WRITE Interval }


{---------------------------------------------------------------------------}
{
{  Zusatz zu :
{
{---------------------------------------------------------------------------}
{    3.4 Vergleiche INTERVAL mit INTERVAL                                   }
{---------------------------------------------------------------------------}



GLOBAL OPERATOR IN ( VAR A, B : INTERVAL ) INIRIR : BOOLEAN;

BEGIN
  INIRIR:= ( A.INF > B.INF ) AND ( A.SUP < B.SUP ) ;
END;


{---------------------------------------------------------------------------}
{
{  Zusatz zu :
{
{---------------------------------------------------------------------------}
{ 2. Spezielle Funktionen                                                   }
{---------------------------------------------------------------------------}
{    2.2 Epsilon - Aufblaehung                                              }
{---------------------------------------------------------------------------}


GLOBAL FUNCTION BLOW ( VAR A : INTERVAL; EPS : REAL ) : INTERVAL;

VAR B : INTERVAL;

BEGIN
   B:= (1.0+EPS)*A - EPS*A;
   BLOW.INF:= PRED( B.INF );
   BLOW.SUP:= SUCC( B.SUP );
END;




$off


BEGIN
   { Initialisierungen fuer zusaetzliche Standardfunktionen : }

   eins   := 1.0;
   log10_2:= LONG( 0.3010299956639 ) + LONG(8.1195214e-14 );
             { 10-er-Log. von 2 auf 21 Stellen max. genau gerundet }

   pi_up1 := 3.141592653589;
   pi_up2 := 7.932384626434e-13;   { pi_up1 + pi_up2 > pi }

$on

END. { of module i_ari }


