/*
 *  MODULE  :   generate.h
 *              generate  C-code
{*  last modification:  13.06.91  17:13   }
 *  uli 27.11.90 : VARUNTEMP  added
*/

global FILE *   codfile;
global FILE *   srcfile;
global symptr  *disp_name;     /* names of display-variables */
global shortint *disp_index;
global binptr   charptr1;
global shortint disp_level, denestlevel;

enum mode { VARINIT, VARFREE, PARCOPY, VARTEMP, VARUNTEMP,
	    ASGNFREE, ASGNCOPY, NEWINIT, DISPFREE };

#ifdef LINT_ARGS

global  void    para_trav   (binptr, boolean (*)(binptr,binptr),int);
global  void    genvarloc   (binptr,binptr,enum mode);
global  void    geninit     (void);                   /* generate standarts */
global  void    genfin      (void);
global  void    generate    (binptr p);               /* generates C-code  */

#else

global  void    para_trav   ();
global  void    genvarloc   ();
global  void    geninit     ( );
global  void    genfin      ( );
global  void    generate    ( );

#endif
